CREATE REGULAR TABLESPACE KERNEL
MANAGED BY SYSTEM USING ('KERNEL');

CREATE REGULAR TABLESPACE AUTH
MANAGED BY SYSTEM USING ('AUTH');

CREATE REGULAR TABLESPACE MODEL
MANAGED BY SYSTEM USING ('MODEL');

CREATE REGULAR TABLESPACE TOOLS
MANAGED BY SYSTEM USING ('TOOLS');

CREATE REGULAR TABLESPACE BULKDATA
MANAGED BY SYSTEM USING ('BULKDATA');

CREATE REGULAR TABLESPACE INDEXES
MANAGED BY SYSTEM USING ('INDEXES');


CREATE DISTINCT TYPE DBOID  AS CHARACTER(12) FOR BIT DATA WITH COMPARISONS;

CREATE DISTINCT TYPE DBOVER AS CHARACTER(4) FOR BIT DATA WITH COMPARISONS;

CREATE DISTINCT TYPE DBOIDC AS CHARACTER(16) FOR BIT DATA WITH COMPARISONS;

CREATE TABLE ADObject 
   ( OID                       DBOID NOT NULL  ,
     OVer                      DBOVER NOT NULL ,
     GUID                      VarChar(40)   ,
     ClassName                 Varchar(70)   ,
     OIDString                 Varchar(40)   ,
     constraint PKADObject Primary Key( OID, OVer ) )
     IN KERNEL ;

CREATE TABLE ADLink 
   ( OID                       DBOID NOT NULL  ,
     OVer                      DBOVER NOT NULL  ,
     adSource                  DBOID   ,
     adTarget                  DBOID   ,
     constraint PKADLink Primary Key( OID, OVer ) )
     IN KERNEL ;

CREATE TABLE ADLink_Source 
   ( SourceOID                 DBOID NOT NULL  ,
     SourceOVer                DBOVER NOT NULL  ,
     RelOID                    DBOID NOT NULL  ,
     RelOVer                   DBOVER NOT NULL  ,
     ClassAttr                 Varchar(70)   ,
     NextOIDC                  DBOIDC   ,
     constraint PKADLink_Source Primary Key( SourceOID, SourceOVer, RelOID, RelOVer ) )
     IN KERNEL ;

CREATE TABLE ADLink_Target 
   ( RelOID                    DBOID NOT NULL  ,
     RelOVer                   DBOVER NOT NULL  ,
     TargetOID                 DBOID NOT NULL  ,
     TargetOVer                DBOVER NOT NULL  ,
     ClassAttr                 Varchar(70)   ,
     NextOIDC                  DBOIDC   ,
     constraint PKADLink_Target Primary Key( RelOID, RelOVer, TargetOID, TargetOVer ) )
     IN KERNEL ;

CREATE TABLE ADViewRoot_plasma
   ( VerOID                    DBOID NOT NULL  ,
     VerOVer                   DBOVER NOT NULL  ,
     PlasmaOID                 DBOID NOT NULL  ,
     PlasmaOver                DBOVER NOT NULL  ,
     constraint PKADViewRoot_plasm Primary Key( VerOID, VerOVer, PlasmaOID, PlasmaOver ) )
     IN KERNEL ;

CREATE TABLE ManyPtrTable
   ( SourceOID                 DBOID NOT NULL  ,
     SourceOVer                DBOVER NOT NULL  ,
     ClassAttrib               Varchar(70) NOT NULL  ,
     TargetOID                 DBOID NOT NULL  ,
     TargetOVer                DBOVER NOT NULL  ,
     NextOIDC                  DBOIDC   ,
     constraint PKManyPtrTable Primary Key( SourceOID, SourceOVer, ClassAttrib, TargetOID, TargetOVer ) )
     IN KERNEL ;

CREATE TABLE NuVersions 
   ( contextId                 DBOID NOT NULL  ,
     OID                       DBOID NOT NULL  ,
     OVer                      DBOVER   ,
     constraint PKNuVersions Primary Key( contextId, OID ) )
     IN KERNEL ;

DROP INDEX FHCFileNoDup ;
DROP INDEX FHCLevelCommitDate;
DROP INDEX FHCLevelName;
DROP INDEX FHCLevelOsrelUsrId;
DROP INDEX ManyPtrTable1;
DROP INDEX FHCWorkAreaname;
DROP INDEX FHCFILESRLTPVRSNID;

DROP TABLE ERWPart_version ;
DROP TABLE ERWObject ;
DROP TABLE ERWPycOjtvs  ;
DROP TABLE ERWPhysObjProperty ;
DROP TABLE ERWProperty ;
DROP TABLE ERWPartition ;
DROP TABLE ERWDataType ;
DROP TABLE ERWModelObject ;
DROP TABLE ERWPropertyDefintn  ;
DROP TABLE ERWAttribute ;
DROP TABLE ERWColumn ;
DROP TABLE ERWTable_version ;
DROP TABLE ERWEntity_version ;
DROP TABLE ERWSubjectAre_vrsn  ;
DROP TABLE ERWSynonym ;
DROP TABLE ERWDiagram_version ;
DROP TABLE ERWLibrary_version ;
DROP TABLE ERWDBMS_version ;
DROP TABLE ERWView_version ;
DROP TABLE ERWGraphicFeature ;
DROP TABLE ERWStoredDisplay ;
DROP TABLE ERWTextBlock ;
DROP TABLE ERWRelationship ;
DROP TABLE ERWDepndncyRltnshp  ;
DROP TABLE ERWSubType ;
DROP TABLE ERWDefaultValue ;
DROP TABLE ERWDerivedRel ;
DROP TABLE ERWValidValue ;
DROP TABLE ERWValidationRule ;
DROP TABLE ERWTriggerTemplate ;
DROP TABLE ERWSchemaTemplate ;
DROP TABLE ERWPrePostTrigger ;
DROP TABLE ERWTableTrigger ;
DROP TABLE ERWClient ;
DROP TABLE ERWDatabase_versin  ;
DROP TABLE ERWNodeGroup_versn  ;
DROP TABLE ERWBufferPool_vrsn  ;
DROP TABLE ERWStorageGrp_vrsn  ;
DROP TABLE ERWTblIndxSpc_vrsn  ;
DROP TABLE ERWIndex ;
DROP TABLE ERWIndexColumn ;
DROP TABLE ERWAlternateKey ;
DROP TABLE ERWRIRule ;
