#include <stdio.h>
#include <stdlib.h>

/******************************************************************************/
/*                                                                            */
/* SAMPLE NAME          : MC0.c                                               */
/*                                                                            */
/* USAGE                : per userExit definition for MemberCreate exitid 0   */
/*                                                                            */
/* ENVIRONMENT VARIABLES: none                                                */
/*                                                                            */
/* DESCRIPTION          : This sample userExit will prevent workareas in a    */
/*                        fix state from being added to a driver.             */
/*                                                                            */
/* COMPILE OPTIONS      : UNIX  make MC0                                      */
/*                        INTEL CL -D __NT__ MC0                              */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/*           NOTICE TO USERS OF THE SOURCE CODE EXAMPLES                      */
/*                                                                            */
/* INTERNATIONAL BUSINESS MACHINES CORPORATION PROVIDES THE SOURCE CODE       */
/* EXAMPLES, BOTH INDIVIDUALLY AND AS ONE OR MORE GROUPS, "AS IS" WITHOUT     */
/* WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT      */
/* LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A     */
/* PARTICULAR PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE     */
/* OF THE SOURCE CODE EXAMPLES, BOTH INDIVIDUALLY AND AS ONE OR MORE GROUPS,  */
/* IS WITH YOU.  SHOULD ANY PART OF THE SOURCE CODE EXAMPLES PROVE            */
/* DEFECTIVE, YOU (AND NOT IBM OR AN AUTHORIZED DEALER) ASSUME THE ENTIRE     */
/* COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.                     */
/*
/******************************************************************************/

/******************************************************************************/
int process(char* WORKAREANAME, char* RELEASENAME)
{
	char cmd[200];
	char buf[200];
	char* state;
	FILE *fp;
	int rc=0;
	int pc;		
	int i;
	int j;
	int start;
	sprintf (cmd, "teamc report -view workareaview -where \"name = '%s' AND releasename = '%s'\" -raw",WORKAREANAME, RELEASENAME);
#if defined(__NT__)
	fp = _popen (cmd, "r");
#else
	fp = popen (cmd, "r");
#endif 
	buf[0]='\0';
	fgets (buf, 1000, fp);
	if (buf[0])
	  {
		for (i=0, pc=0; ; i++)
	  	  {
			if (buf[i] == '|')
        	  	  {
				pc+=1;
        			if (pc == 4)
        		  	  {
        				start = i+1;
        				for (j=start; buf[j] != '|'; j++)
        			  	  ;
        				buf[j] = 0;
        				pc+=1;
        				state = &buf[start];
					break;
				  }
			  }
		  }
		if (strcmp(state,"fix") == NULL)
	  	  {
			fprintf(stderr,"<<ERROR>> Cannot add drivermember when state = fix\n");
			rc=1;
	  	  }
	  }
	return (rc);
}
/******************************************************************************/
main(int argc, char **argv)
{
	int RC=0;
	char* 	WORKAREANAME;
	char*	RELEASENAME;
	RELEASENAME=strdup(argv[3]);
	WORKAREANAME=strdup(argv[4]);
	RC= process (WORKAREANAME,RELEASENAME);
	exit (RC);
}
